;;;;;;;;;;;;  VARIABLES------------

  .rsset $0000  ;start from location 0

tile_loader_ptr  .rs 2        ;for the chr rom data

enemy_pointer  .rs 8          ;pointer for the graphics data for Enemys
enemygraphicspointer  .rs 2   ;pointer for the graphics updates

Main_Pointer  .rs 2           ;pointer to the main program loop
NMI_Pointer  .rs 2            ;pointer to the NMI routine

;---------------------------------------------------

  .rsset $0100  ;stack

  .rsset $0200  ;sprites

  .rsset $0300  ;sound

;---------------------------------------------------

  .rsset $0400  ;other variables

GameState  .rs 2              ;current game state, and state that is saved
GameStateOld  .rs 1           ;old game state

sleeping  .rs 1               ;main program flag
updating_background  .rs 2    ;0 = nothing, 1 = main program is updating the room

Enemy_Animation  .rs 4        ;Animation Counters
Enemy_Frame  .rs 4            ;Animation Frame Number

random_direction  .rs 1       ;random direction counter
random_direction1  .rs 1      ;random direction counter
random_direction2  .rs 1      ;random direction counter

enemy_direction  .rs 4        ;direction for enemys; 0=up,1=down,2=right,3=left
enemy_number  .rs 1           ;enemy number for direction routine 0=Crewman, 1=punisher, 2=McBoobins, 3=ArseFace
enemy_ptrnumber  .rs 1        ;enemy pointer number (i.e. 2x the enemy number, 0=Crewman, 2=punisher, 4=McBoobins, 6=ArseFace)

joypad1  .rs 1                ;see the "strobe controllers" routine
joypad1_old  .rs 1
joypad1_pressed  .rs 1

sprite_vertical  .rs 1        ;vertical location of the active sprite
sprite_horizontal  .rs 1      ;horizontal location of the active sprite

arrow_direction  .rs 1        ;direction that the arrow is traveling

A_timer  .rs 1                ;timer for the A button
B_timer  .rs 1                ;timer for the B button

arrow_vertical  .rs 2         ;vertical position of the arrow for collision
hammer_vertical  .rs 2        ;hammer
PC_vertical  .rs 2            ;PC

arrow_horizontal  .rs 2       ;horizontal position of the arrow for collision
hammer_horizontal  .rs 2      ;hammer
PC_horizontal  .rs 2          ;PC




;;;;;;;;;;;;;;;;;;  CONSTANTS----------

enemyFrames1 = $0C    ;enemy's counter resets
enemyFrames2 = $18
enemyFrames3 = $24
enemyFrames4 = $30

sprite_RAM = $0200    ;constant for enemy updates
Weapons_RAM = $0240   ;constant for the weapons updates

enemy_speed = $01
arrow_speed = $02

TopDownView = $00     ;Main top down view is game state #0
PauseState = $01      ;Paused state is game state #1

Btimer = $0F          ;timer for the hammer 
Atimer = $0C          ;shooting pose timer for the arrows
